# txpool\_content

Returns detailed information about all transactions currently in the transaction pool.

This method will use `500` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

`None`

## **Returns**

`Object` - An object categorized by pending and queued transactions, including sender addresses and detailed transaction data.

```bash
// Result
{
	"jsonrpc": "2.0",
	"id": 67,
	"result": {
		"pending": {},
		"queued": {}
	}
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.mezo.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"txpool_content","params":[],"id":67}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.mezo.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"txpool_content","params":[],"id":67}'

```

{% endtab %}
{% endtabs %}
